> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Preview Job



## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/:
    post:
      tags:
        - api
      operationId: api_v1_custom_org_dynamic_rules_preview_create
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OptimizePreviewRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OptimizePreviewRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/OptimizePreviewRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioAnalysisJob'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    OptimizePreviewRequest:
      type: object
      properties:
        client_account_uuid:
          type: string
          format: uuid
        scenarios:
          type: array
          items:
            $ref: '#/components/schemas/Scenario'
        include_baseline:
          type: boolean
          default: true
      required:
        - client_account_uuid
        - scenarios
    ScenarioAnalysisJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/ScenarioAnalysisJobStatusEnum'
          readOnly: true
        params:
          readOnly: true
        result:
          readOnly: true
          nullable: true
        error_message:
          type: string
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        started_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        finished_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - created_at
        - error_message
        - finished_at
        - id
        - params
        - result
        - started_at
        - status
    Scenario:
      type: object
      properties:
        label:
          type: string
          maxLength: 255
        context_overrides:
          type: object
          additionalProperties: {}
        as_of_datetime:
          type: string
          format: date-time
        fundamentals_overrides:
          type: object
          additionalProperties: {}
          nullable: true
        config_overrides:
          type: object
          additionalProperties: {}
          nullable: true
      required:
        - context_overrides
        - label
    ScenarioAnalysisJobStatusEnum:
      enum:
        - PENDING
        - RUNNING
        - SUCCESS
        - FAILURE
      type: string
      description: |-
        * `PENDING` - PENDING
        * `RUNNING` - RUNNING
        * `SUCCESS` - SUCCESS
        * `FAILURE` - FAILURE
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````